<?php

//ini_set('display_errors',1);

require_once ("../../config/Cado.php");
require_once("../tipocambio/cTipocambio.php");
$otipocambio = new ctipocambio();
require_once("../formatos/formato.php");
date_default_timezone_set('America/Lima');

		$fecha = date('Y-m-d'); 
		$rs = $otipocambio->consultar($fecha);	
		if(mysqli_num_rows($rs)!=0)
		{
			
		}else{
		
        
		
	/* $dom = new DomDocument;
	$dom->loadHTMLFile("https://www.sbs.gob.pe/app/pp/SISTIP_PORTAL/Paginas/Publicacion/TipoCambioPromedio.aspx");
	$xpath = new DomXPath($dom);
	$nodes = $xpath->query("//td[@class='APLI_fila2']");
	header("Content-type: text/plain");
	   
	foreach ($nodes as $i => $node) {
	
	if($i==1){
		$tipcam_ven = $node->nodeValue;	
		echo $tipcam_ven;
	}
   
	} */
	
	$html = file_get_contents("https://www.sunat.gob.pe/a/txt/tipoCambio.txt"); //Convierte la información de la URL en cadena
	//echo $html;
	
		list($fec,$tipcom,$tipven) = explode('|',$html);
	$tipcam_ven = $tipven;
	echo $tipcam_ven;
	


	/* 
	$dom = new DomDocument;
	$dom->loadHTMLFile("https://www.sunat.gob.pe/a/txt/tipoCambio.txt");
	$xpath = new DomXPath($dom);
	
	
	$nodes = $xpath->query("//pre");
	header("Content-type: text/plain");
	 
	//echo '--'.$nodes;
	
	foreach ($nodes as $i => $node) {
	
	if($i==1){
		$tipcam_ven = $node->nodeValue;	
		echo '--'.$tipcam_ven;
	}
   
	} 
	 */
	
	}
	
?>

